Title: Milestone 1
Slug: milestone-1
Date: 2022-02-23
Modified: 2022-02-23
Category: 
Tags: milestones
Authors: kyle
Summary: Describe a path to the first "deliverable."

I'm going to identify milestones for this project. A milestone should
provide an incremental, concrete step in the right direction. The end
result will be an additional way to interact with the exocortex. For
example, the first milestone is an HTTP interface for remotely adding
URLs to the exocortex.

## Goal

Build a web server that lets me stash URLs (links and PDFs, primarily) to an
artifact store.

## How do I get there?

I'll split this into three stages: first, developing the blob
data structure and management. Then I'll add in support for
artifacts. Finally, I can build out the APIs. Following the
[functional spec](/specs/functional.html), this will start with a gRPC
interface. I can build a web interface on top of this.

The work is tracked under [M1](/milestones/m1.html).
